1.1
1.1
put /v1/archiving-policies/{archiving_policy_id}/state
Description
Set archivingPolicy state
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | archiving_policy_id required | Archiving Policy ID Example : SCH-XXXXXXX | string | None |
| query | bucket_id required | Bucket ID Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2 | string | None |
| body | body required | ArchivingPolicyStateUpdateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ArchivingPolicyStateUpdateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/archiving-policies/{archiving_policy_id}/state?bucket_id={bucket_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = archivestorage 1.1"
Request body
{
"state": "ACTIVE"
}
Example HTTP response
Response 200
{
"id": "SCH-XXXXXXX",
"bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"state": "ACTIVE"
}